# $Revision: 1.23 $, $Date: 2002/07/17 17:12:16 $
Summary:	Interface over GNU patch
Summary(pl):	Interfejs do GNU patch
Name:		xemacs-ediff-pkg
%define 	srcname	ediff
Version:	1.41
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
Patch0:		%{name}-info.patch
URL:		http://www.xemacs.org/
BuildArch:	noarch
Conflicts:	xemacs-sumo
Requires:	xemacs
Requires:	xemacs-pcl-cvs-pkg
Requires:	xemacs-elib-pkg
Requires:	xemacs-dired-pkg
Requires:	xemacs-base-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Interface over GNU patch.

%description -l pl
Interfejs do GNU patch.

%prep
%setup -q -c
%patch0 -p1

%build
(cd man/ediff; awk '/^\\input texinfo/ {print FILENAME}' * | xargs makeinfo)

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xemacs-packages,%{_infodir}}

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages
mv -f  $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info/*.info* $RPM_BUILD_ROOT%{_infodir}
rm -fr $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc lisp/ediff/README lisp/ediff/ChangeLog
%{_datadir}/xemacs-packages%{_sysconfdir}/*
%{_infodir}/*
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xemacs-ediff-pkg.spec,v $
Revision 1.23  2002/07/17 17:12:16  kloczek
- updated to 1.41 and use new %doc.

Revision 1.22  2002/04/18 13:48:41  wiget
updated to 1.39

Revision 1.21  2002/04/14 12:26:56  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.20  2002/02/23 05:11:01  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:30:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/17 14:20:15  kloczek
- updated to 1.35.

Revision 1.17  2002/01/18 02:15:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2002/01/07 17:17:06  kloczek
- updated to 1.33 (first official release in PLD).

Revision 1.15  2001/10/11 11:34:02  qboosh
- don't gzip info documents in spec - rpm does
- adapterized, fixed or added some pl translations

Revision 1.14  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.12  2001/05/11 18:38:47  mis
- autoupdated to 1.30

Revision 1.11  2001/02/28 19:01:04  mis
- updated to 1.29

Revision 1.10  2001/02/13 18:06:51  mis
- updated to 1.28

Revision 1.9  2000/11/29 13:35:23  wiget
new versions (massive upgrade)

Revision 1.8  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.7  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.6  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.5  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:17  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 22:33:26  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
